stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan.Analysis.Summary

Description

Static analysis summary.

Synopsis

- data Summary = Summary {
  - summaryInspectionId :: !(Id Inspection)
  - summaryCategory :: !Category
  - summaryModule :: !ModuleName
  - summarySeverity :: !Severity
  }
- createSummary :: Analysis -> Maybe Summary

# Documentation

data Summary #

Short info about analysis.

Constructors

Summary |
Fields summaryInspectionId :: !(Id Inspection) The most popular `Inspection` summaryCategory :: !Category The most popular `Category` summaryModule :: !ModuleName Module with the biggest number of observations summarySeverity :: !Severity The highest `Severity`

createSummary :: Analysis -> Maybe Summary #

Assemble `Summary` after analysis. Returns `Nothing` when there's no `Observations`. Otherwise, there's at least one observation, which means that we can find the most popular `Inspection`, `Category` and the highest `Severity`.